## perlpanel 0.9.1+cvs20051225

=== Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 #
 # Copyright: (C) 2003-2004 Gavin Brown <gavin.brown@uk.com>
 #
-# $Id: Makefile,v 1.48 2004/12/13 13:43:33 jodrell Exp $
+# $Id: Makefile,v 1.51 2005/04/14 14:49:04 jodrell Exp $
 
-VERSION=0.9.0
+VERSION=0.9.1
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib/perlpanel
@@ -27,7 +27,7 @@
 DATADIR=$(PREFIX)/share
 MANDIR=$(DATADIR)/man
 LOCALEDIR=$(DATADIR)/locale
-CONFDIR=$(PREFIX)/etc
+CONFDIR=/etc
 
 LC_CATEGORY=LC_MESSAGES
 
@@ -49,12 +49,12 @@
 	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-applet-install > build/perlpanel-applet-install
 	perl -ne 's!\@VERSION\@!$(VERSION)!g ; print' < lib/PerlPanel.pm > build/PerlPanel.pm
 	perl -I$(PWD)/build -MPerlPanel -MXML::Simple -e 'print XMLout(\%PerlPanel::DEFAULTS)' > build/perlpanelrc
-	pod2man doc/perlpanel.pod		| gzip -c > build/perlpanel.1.gz
-	pod2man doc/perlpanel-applet-howto.pod	| gzip -c > build/perlpanel-applet-howto.1.gz
-	pod2man doc/perlpanel-run-dialog.pod	| gzip -c > build/perlpanel-run-dialog.1.gz
-	pod2man doc/perlpanel-item-edit.pod	| gzip -c > build/perlpanel-item-edit.1.gz
-	pod2man lib/PerlPanel/MenuBase.pm	| gzip -c > build/PerlPanel::MenuBase.3.gz
-	pod2man lib/PerlPanel/DesktopEntry.pm	| gzip -c > build/PerlPanel::DesktopEntry.3.gz
+	pod2man doc/perlpanel.pod		| gzip -9c > build/perlpanel.1.gz
+	pod2man doc/perlpanel-applet-howto.pod	| gzip -9c > build/perlpanel-applet-howto.1.gz
+	pod2man doc/perlpanel-run-dialog.pod	| gzip -9c > build/perlpanel-run-dialog.1.gz
+	pod2man doc/perlpanel-item-edit.pod	| gzip -9c > build/perlpanel-item-edit.1.gz
+	pod2man lib/PerlPanel/MenuBase.pm	| gzip -9c > build/PerlPanel::MenuBase.3.gz
+	pod2man lib/PerlPanel/DesktopEntry.pm	| gzip -9c > build/PerlPanel::DesktopEntry.3.gz
 
 	@# similarly for other locales as they become available:
 	mkdir -p  build/locale/en/$(LC_CATEGORY)
@@ -93,14 +93,6 @@
 	install -m 0644 build/locale/en/$(LC_CATEGORY)/perlpanel.mo $(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY)/
 	install -m 0644 build/locale/de/$(LC_CATEGORY)/perlpanel.mo $(DESTDIR)/$(LOCALEDIR)/de/$(LC_CATEGORY)/
 
-	@echo Installing default rcfile:
-	@if [ -e $(DESTDIR)/$(CONFDIR)/perlpanelrc ] ; then \
-		echo Note: old $(DESTDIR)/$(CONFDIR)/perlpanelrc has not been overwritten, default has been installed to $(DESTDIR)/$(CONFDIR)/perlpanelrc.default.; \
-		install -m 0644 build/perlpanelrc	$(DESTDIR)/$(CONFDIR)/perlpanelrc.default; \
-	else \
-		install -m 0644 build/perlpanelrc	$(DESTDIR)/$(CONFDIR)/; \
-	fi
-
 clean:
 	rm -rf build PerlPanel.spec
