=== debian/changelog ===
perlpanel (1:0.9.1+cvs20051225-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #858395)
  * Call dh_icons. (Closes: #479990)
  * Apply changes from Jari Aalto: (Closes: #670713)
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3.
    - Add build-arch and build-indep targets; use dh_prep in rules file.
    - Update patches with "quilt refresh" to make them apply cleanly.
  * Apply patch from Chris Lamb to make the build reproducible.
    (Closes: #777444)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Jun 2017 07:43:01 +0300

perlpanel (1:0.9.1+cvs20051225-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Raise debhelper compat to 9. Closes: #817616

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 02 Nov 2016 22:47:57 +0100

perlpanel (1:0.9.1+cvs20051225-2) unstable; urgency=low

  * Makefile: 
    + Use $(CURDIR) instead of $(PWD) (Closes: #399381)
    + Fix /usr/share/perlpanel/glade to have 755 permissions
  * debian/control:
    + build-dep on liblocale-gettext-perl. (Closes: #467334)
    + recommend libaudio-xmmsclient-perl instead of libxmms-perl (Closes:
      #473839)
    + Bump Standards-Version
  * debian/rules:
    + Don't ignore make clean errors

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 05 Apr 2008 15:44:03 +0200

perlpanel (1:0.9.1+cvs20051225-1) unstable; urgency=low

  * CVS snapshot:
    + Remove some local patches that were applied upstream:
      - debian/patches/23_graphical_load_monitor.dpatch
      - debian/patches/22_hide_empty_notification_area.dpatch
    + Makes it possible to user terminals other than gnome-terminal in the
      Shell Manager applet. Patch from Patrick Jaeger, thanks! (Closes:
      #309434)
    + Fixed german localisation upstream, partially with a patch from
      Jens Seidel. Thanks! (Closes: #313812)

  * debian/control:
    + Bumped Standards-Version to 3.6.2 (no changes needed)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 25 Dec 2005 16:19:42 +0100

perlpanel (1:0.9.1-1+patch2) UNRELEASED; urgency=low

  * debian/patches/23_graphical_load_monitor.dpatch: Add graphical load monitor

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun,  1 May 2005 00:03:23 +0200

perlpanel (1:0.9.1-1+patch1) UNRELEASED; urgency=low

  * debian/patches/22_hide_empty_notification_area.dpatch: Hide Notification
    area if not needed and configured to do so.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 23 Apr 2005 19:46:42 +0200

perlpanel (1:0.9.1-1) unstable; urgency=low

  * New stable upstream release:
    + Adds a button to delete events from the Calendar Applet
  * debian/patches:
      - 11_Makefile_fixes.dpatch: Integrated by upstream.
      - 22_XMMS_applet_crash.dpatch: Integrated by upstream.
      - 23_BatteryMonitor_pmu_support.dpatch: Integrated by upstream.
      + 20_fix_deleting_events.dpatch: Fixes a bug with 2 reminders that have
          the same attributes.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 14 Apr 2005 18:17:01 +0200

perlpanel (1:0.9.0+cvs20050401-2) unstable; urgency=low

  * This is not a native package and I shouldn't plan dinner while doing final
    upload checks. Anyway, reupload as non-native package.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri,  1 Apr 2005 20:58:48 +0200

perlpanel (1:0.9.0+cvs20050401-1) unstable; urgency=low

  * New snapshot from the upstream CVS (no release because upstream is busy):
    + New applets: Timer (to set an alarm), Trash, Volume (to regulate the 
      volume) and Webcam (displays a webcam image).
    + Adds a fallback icon if the lookup through the GtkIconTheme doesn't
      work.
    + Removes the Volume button from the XMMS applet.
    + Changes WiFiMonitor's scale, also avoiding log(0). (Closes: #286254)
  * debian/control:
    + Fix typo in description (completly -> completely)
    + Restrucuture dependencies to recommend/suggest everything not in
      the default configuration.
  * debian/patches:
    + Use dpatch-run in the shebang and remove cruft.
    + 21_xterm_to_x-terminal-emulator.dpatch:
        Added to fix the "Run in shell" option of the Commander
    + 23_BatteryMonitor_pmu_support.dpatch:
        Added to provide somewhat hackish PMU support (useful for apple
        laptops). I have an iBook now! :-)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 01 Apr 2005 14:11:18 +0200

perlpanel (1:0.9.0-3) unstable; urgency=low

  * debian/control: Add hicolor-icon-theme to Depends. Thanks for the bug
    report to Thomas Prokosch (Closes: #293941)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon,  7 Feb 2005 18:42:01 +0100

perlpanel (1:0.9.0-2) unstable; urgency=low

  * debian/control:
    + ove cruft from build-depends, add gettext, which is actually needed.
    + Add libdate-manip-perl to Depends, as the Clock applet needs it (and is
      used in the default config).

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 16 Dec 2004 17:44:25 +0100

perlpanel (1:0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: 23_Pager_applet_crash.dpatch removed, was taken from the
    0.9.0 CVS branch.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 13 Dec 2004 21:18:38 +0100

perlpanel (1:0.8.0-2) unstable; urgency=low

  * debian/patches/23_Pager_applet_crash.dpatch:
       New patch to fix crash of the Pager applet, taken from CVS.
  * Added menu file and an XPM icon.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 21 Oct 2004 23:09:21 +0200

perlpanel (1:0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 29 Sep 2004 21:57:24 +0200

perlpanel (1:0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in description (Closes: #260621)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 29 Aug 2004 14:41:03 +0200

perlpanel (1:0.6.0-1) unstable; urgency=low

  * New upstream release.


