=== debian/control ===
Source: perlpanel
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), gettext, libgtk2-perl, libgtk2-gladexml-perl, libgnome2-wnck-perl, libxml-simple-perl, liblocale-gettext-perl
Standards-Version: 3.9.3

Package: perlpanel
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.8.0), libglib-perl, libgtk2-perl (>= 1:1.042-2), libgtk2.0-0 (>= 2.4), libgnome2-wnck-perl, libxml-simple-perl, libxml-parser-perl, libgtk2-gladexml-perl, liblocale-gettext-perl, libdate-manip-perl, libx11-freedesktop-desktopentry-perl, hicolor-icon-theme
Recommends: libaudio-mixer-perl, libgnome2-vfs-perl, libgtk2-traymanager-perl, liburi-perl, libxmms-perl
Suggests: vorbis-tools, fortune-mod, ssh
Description: lean menu and launcher panel written in Perl and Gtk2
 PerlPanel draws a small taskbar on your screen to display some useful widgets
 like a programs menu, some shortcut icons, a system tray and so on. It's
 similar to the Windows Taskbar, the GNOME Panel, and KDE's Kicker.
 .
 PerlPanel is completely independent of any particular environment. You can
 use it with any window manager, without need for one of the big desktop
 environments.
 .
 You can create your own applets to show and do whatever you need using 
 Perl and the Gtk2 bindings for it. It's no problem to run several PerlPanels
 at the same time.
