=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/perlpanel

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr LIBDIR=/usr/share/perlpanel/ GZIP="-9n"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(TMP) PREFIX=/usr LIBDIR=/usr/share/perlpanel/
	#Fix b0rken permissions in the upstream tarball:
	find $(TMP)/usr/share/icons/hicolor/48x48/ -name '*png' -exec chmod 644 \{\} \;
	find $(TMP)/usr/share/perlpanel/glade/ -type f -name '*glade' -exec chmod 644 \{\} \;
	find $(TMP)/usr/share/perlpanel/PerlPanel/Applet/ -name '*pm' -exec chmod 644 \{\} \;

	dh_install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_icons
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
